### Constructor

# Clutter Script new

#### Declaration [src]

    ClutterScript*
    clutter_script_new (
      void
    )

#### Description [src]

Creates a new `ClutterScript` instance. `ClutterScript` can be used to load objects definitions for scenegraph elements, like actors, or behavioural elements, like timelines. The definitions must be encoded using the JavaScript Object Notation (JSON) language.

#### Return value

Type: `ClutterScript`

The newly created `ClutterScript` instance. Use `g_object_unref()` when done.

The caller of the function takes ownership of the data, and is responsible for freeing it.